## python-scikit-cuda 0.5.1

=== Makefile ===
PYTHON := `which python`
DESTDIR = /

NAME = scikit-cuda
VERSION = $(shell $(PYTHON) -c 'import setup; print setup.VERSION')

.PHONY: package build docs install test clean

package:
	$(PYTHON) setup.py sdist --formats=gztar

build:
	$(PYTHON) setup.py build

docs:
	$(PYTHON) setup.py build_sphinx

install:
	$(PYTHON) setup.py install --root=$(DESTDIR)

test:
	$(PYTHON) setup.py test

clean:
	$(PYTHON) setup.py clean

=== debian/changelog ===
python-scikit-cuda (0.5.1-3ubuntu1) plucky; urgency=medium

  * In Ubuntu, nvidia-detect is found in ubuntu-drivers-common.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 03 Mar 2025 17:25:01 -0600

python-scikit-cuda (0.5.1-3) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Tue, 17 Dec 2024 10:12:37 +0100

python-scikit-cuda (0.5.1-2) unstable; urgency=medium

  * Fix d/watch.
  * Fix d/copyright.

 -- Roland Mas <lolando@debian.org>  Wed, 27 Nov 2024 17:54:27 +0100

python-scikit-cuda (0.5.1-1) unstable; urgency=low

  * Initial packaging (Closes: #1088048).

 -- Roland Mas <lolando@debian.org>  Tue, 26 Nov 2024 11:09:55 +0100

=== debian/control ===
Source: python-scikit-cuda
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>,
 Roland Mas <lolando@debian.org>,
Section: contrib/python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
# dh-sequence-sphinxdoc <!nodoc>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-mako <!nocheck>,
 python3-numpy <!nocheck>,
 python3-pycuda <!nocheck>,
 python3-pytest <!nocheck>,
 ubuntu-drivers-common <!nocheck>,
# python3-sphinx <!nodoc>,
# python3-sphinx-rtd-theme <!nodoc>,
# python3-sphinx-pngmath <!nodoc>, # not packaged yet
Standards-Version: 3.9.6
#Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/lebedov/scikit-cuda

Package: python3-scikit-cuda
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Scikit with CUDA support
 scikit-cuda provides Python interfaces to many of the functions in
 the CUDA device/runtime, CUBLAS, CUFFT, and CUSOLVER libraries
 distributed as part of NVIDIA's CUDA Programming Toolkit, as well as
 interfaces to select functions in the free and standard versions of
 the CULA Dense Toolkit.
 .
 Both low-level wrapper functions similar to their C counterparts and
 high-level functions comparable to those in NumPy and Scipy are
 provided.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=scikit-cuda

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	nvidia-detector | grep -q "No NVIDIA GPU detected." || dh_auto_test || true

# In preparation for when sphinx.ext.pngmath gets packaged
# execute_after_dh_auto_build: export http_proxy=127.0.0.1:9
# execute_after_dh_auto_build: export https_proxy=127.0.0.1:9
# execute_after_dh_auto_build:
# 	make -C docs html

=== debian/tests/control ===
Tests: cuda
Depends:
 python3-all,
 @,
Restrictions: allow-stderr, skip-not-installable, skippable

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.]*@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
https://github.com/lebedov/scikit-cuda/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## python-scikit-cuda 0.5.3

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,10 @@
 .PHONY: package build docs install test clean
 
 package:
-	$(PYTHON) setup.py sdist --formats=gztar
+	$(PYTHON) setup.py sdist --formats=gztar bdist_wheel
+
+upload: | package
+		twine upload dist/*
 
 build:
 	$(PYTHON) setup.py build

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build
SRCDIR        = source

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/ $(SRCDIR)/generated/

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/TED.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/TED.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-scikit-cuda (0.5.3-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Fri, 14 Mar 2025 16:43:03 +0100

python-scikit-cuda (0.5.1-5) unstable; urgency=medium

  * Add missing dependency to autopkgtest.

 -- Roland Mas <lolando@debian.org>  Fri, 07 Mar 2025 18:23:19 +0100

python-scikit-cuda (0.5.1-4) unstable; urgency=medium

  * Add missing Build-Depends.

 -- Roland Mas <lolando@debian.org>  Fri, 07 Mar 2025 18:05:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-scikit-cuda
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>,
  Roland Mas <lolando@debian.org>,
@@ -10,13 +9,14 @@
  debhelper-compat (= 13),
  dh-sequence-python3,
 # dh-sequence-sphinxdoc <!nodoc>,
+ nvidia-detect <!nocheck>,
  pybuild-plugin-pyproject,
  python3-all,
  python3-mako <!nocheck>,
  python3-numpy <!nocheck>,
  python3-pycuda <!nocheck>,
  python3-pytest <!nocheck>,
- ubuntu-drivers-common <!nocheck>,
+ python3-setuptools,
 # python3-sphinx <!nodoc>,
 # python3-sphinx-rtd-theme <!nodoc>,
 # python3-sphinx-pngmath <!nodoc>, # not packaged yet

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 	dh $@ --buildsystem=pybuild
 
 override_dh_auto_test:
-	nvidia-detector | grep -q "No NVIDIA GPU detected." || dh_auto_test || true
+	nvidia-detect | grep -q "No NVIDIA GPU detected." || dh_auto_test
 
 # In preparation for when sphinx.ext.pngmath gets packaged
 # execute_after_dh_auto_build: export http_proxy=127.0.0.1:9
